# $Revision: 1.41 $, $Date: 2012/02/07 22:07:44 $
Summary:	An Atari 2600 Video Computer System emulator
Summary(pl.UTF-8):	Emulator Atari 2600 Video Computer System
Name:		stella
Version:	3.3
Release:	2
License:	GPL v2+
Group:		Applications/Emulators
Source0:	http://downloads.sourceforge.net/stella/%{name}-%{version}-src.tar.gz
# Source0-md5:	56a55d4467f5948457e3cf32703889b0
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-useless_files.patch
URL:		http://stella.sourceforge.net/
BuildRequires:	OpenGL-devel
BuildRequires:	SDL-devel >= 1.2.10
BuildRequires:	alsa-lib-devel >= 0.9.0
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Atari 2600 Video Computer System (VCS), introduced in 1977, was
the most popular home video game system of the early 1980's. This
emulator will run most Atari ROM images, so that you can play your
favorite old Atari 2600 games on your PC.

%description -l pl.UTF-8
Atari 2600 Video Computer System (VCS), który miał premierę w 1977
roku, był najpopularniejszym systemem domowych gier wideo wczesnych
lat '80. Ten emulator potrafi uruchomić większość obrazów Atari ROM,
więc można grać w swoje ulubione stare gry z Atari 2600 na PC.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
./configure \
	--prefix=%{_prefix}
%{__make} \
	CXX="%{__cxx}" \
	LD="%{__cxx}" \
	CXXFLAGS="%{rpmcxxflags}" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pixmapsdir},%{_sysconfdir}}

install src/emucore/stella.pro $RPM_BUILD_ROOT%{_sysconfdir}
install src/common/stella.xpm $RPM_BUILD_ROOT%{_pixmapsdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Announce.txt Changes.txt Readme.txt Todo.txt docs
%attr(755,root,root) %{_bindir}/stella
%config %{_sysconfdir}/stella.pro
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}.xpm

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: stella.spec,v $
Revision 1.41  2012/02/07 22:07:44  arekm
- release 2

Revision 1.40  2010/11/15 08:48:29  lisu
- "video" can be written as "wideo" in Polish

Revision 1.39  2010/11/15 08:45:57  lisu
- up to 3.3

Revision 1.38  2010/09/20 07:27:57  lisu
- 3.2.2

Revision 1.37  2010/08/25 20:22:35  lisu
- 3.2.1

Revision 1.36  2010/08/20 17:24:46  lisu
- up to 3.2

Revision 1.35  2010/05/12 12:17:44  baggins
- rel 2
- fixed desktop categories

Revision 1.34  2010/05/04 09:34:24  lisu
- updated to 3.1.2

Revision 1.33  2010/05/02 22:56:27  pawelz
- 1980-tych is not correct in polish

Revision 1.32  2010/04/27 13:22:00  lisu
- 3.1.1

Revision 1.31  2010/04/23 07:09:06  lisu
- up to 3.1
- adapter

Revision 1.30  2009/09/22 12:40:17  lisu
- up to 3.0

Revision 1.29  2009/07/07 08:57:18  lisu
- 2.8.4

Revision 1.28  2009/06/29 09:39:12  lisu
- 2.8.3

Revision 1.27  2009/06/23 13:40:38  lisu
- 2.8.2

Revision 1.26  2009/06/18 12:04:28  lisu
- 2.8

Revision 1.25  2009/06/03 07:40:53  lisu
- 2.7.7

Revision 1.24  2009/04/16 09:12:27  lisu
- 2.7.6

Revision 1.23  2009/03/30 10:49:24  lisu
- up to 2.7.5

Revision 1.22  2009/02/10 14:04:20  lisu
- 2.7.3a

Revision 1.21  2009/02/02 08:22:08  lisu
- up to 2.7.2
- adapter

Revision 1.20  2008/06/21 16:33:22  lisu
- 2.6.1

Revision 1.19  2008/05/17 18:46:46  lisu
- up to 2.6

Revision 1.18  2008-04-18 08:56:24  lisu
- 2.5.1
- new patch (do not include unneeded files)

Revision 1.17  2008-04-04 13:59:23  lisu
- 2.5

Revision 1.16  2007-09-20 17:53:32  lisu
- 2.4.2

Revision 1.15  2007/08/20 20:06:05  lisu
- use CXXFLAGS and LDFLAGS

Revision 1.14  2007/08/20 19:33:59  lisu
- another BR: OpenGL-devel

Revision 1.13  2007/08/20 19:21:53  lisu
- BRs: SDL-devel and zlib-devel
- removed BR: XFree86-devel

Revision 1.12  2007/08/20 18:45:36  lisu
- 2.4

Revision 1.11  2007/02/12 22:09:16  glen
- tabs in preamble

Revision 1.10  2007/02/12 01:06:33  baggins
- converted to UTF-8

Revision 1.9  2007/01/21 10:28:37  lisu
- 2.3.5
- stella-conf.patch no needed
- desktop, icon and stella-desktop.patch added
- building with ./configure
- installing by %%{__make} install - it's more convenient
- cosmetics

Revision 1.8  2006/03/09 14:35:10  glen
- quote %{__cc}

Revision 1.7  2005/02/25 00:04:52  aniolek
- updated to 1.4.2

Revision 1.6  2004/10/30 15:42:56  dzeus
- up to 1.4.1 (thx Mateusz Murawski)

Revision 1.5  2004/08/03 22:37:29  kolodko
- up to 1.4

Revision 1.4  2003/05/28 13:02:04  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 06:27:02  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/03/27 22:08:25  qboosh
- pl description

Revision 1.1  2003/02/20 08:31:59  misiek
- initial pld release
